vich_uploader:
  db_driver: orm
  storage: flysystem

  mappings:
    contest_images:
      uri_prefix: "%env(S3_URI_PREFIX)%/uploads/images"
      upload_destination: s3.images
      namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
      directory_namer:
        service: vich_uploader.namer_directory_property
        options: { property: "ageGroup", transliterate: true }

    contest_videos:
      uri_prefix: "%env(S3_URI_PREFIX)%/uploads/videos"
      upload_destination: s3.videos
      namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
